package com.sf.web.dms.rtu.entity;

package ..deTemp.1731093082286;

import com.smartframework.core.annotation.SmartComment;
import com.smartframework.web.core.annotation.SmartFieldAnnotation;
import com.smartframework.web.system.bpm.client.bean.AbstractCommitBean;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(name = "rtu_message_management")
@SmartComment("rtu_message_management")
public class RtuMessageManagement extends AbstractCommitBean {
  @Id
  @Column(name = "instance_id", length = 128, nullable = false)
  @SmartFieldAnnotation(description = "instance_id", checkValueRange = false, minLength = 0, maxLength = 128)
  private String instanceId;
  
  @Column(name = "id", length = 128)
  @SmartFieldAnnotation(description = "id", checkValueRange = false, minLength = 0, maxLength = 128)
  private String id;
  
  @Column(name = "user_id", length = 10)
  @SmartFieldAnnotation(description = "user_id", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer userId;
  
  @Column(name = "rtu_id", length = 10)
  @SmartFieldAnnotation(description = "rtu_id", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Integer rtuId;
  
  @Column(name = "create_time", length = 26)
  @SmartFieldAnnotation(description = "create_time", checkValueRange = false, minDate = "1970-01-01 00:00:00", maxDate = "1970-01-01 00:00:00")
  private Date createTime;
  
  @Column(name = "rtu_name", length = 256)
  @SmartFieldAnnotation(description = "rtu_name", checkValueRange = false, minLength = 0, maxLength = 256)
  private String rtuName;
  
  @Column(name = "station_id", length = 19)
  @SmartFieldAnnotation(description = "station_id", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Long stationId;
  
  @Column(name = "feeder_id", length = 19)
  @SmartFieldAnnotation(description = "feeder_id", checkValueRange = false, minValue = 0L, maxValue = 0L)
  private Long feederId;
  
  @Column(name = "instance_status", length = 50)
  @SmartFieldAnnotation(description = "instance_status", checkValueRange = false, minLength = 0, maxLength = 50)
  private String instanceStatus;
  
  @Column(name = "file_path", length = 256)
  @SmartFieldAnnotation(description = "file_path", checkValueRange = false, minLength = 0, maxLength = 256)
  private String filePath;
  
  @Transient
  @SmartFieldAnnotation(description = "需要工厂验收")
  private Integer needTest;
  
  @Transient
  @SmartFieldAnnotation(description = "需要工厂验收")
  private Integer needFacTest;
  
  @Transient
  @SmartFieldAnnotation(description = "计划工厂验收时间")
  private Date facTestPtime;
  
  @Transient
  @SmartFieldAnnotation(description = "计划现场验收时间")
  private Date siteTestPtime;
  
  public Integer getNeedTest() {
    return this.needTest;
  }
  
  public void setNeedTest(Integer needTest) {
    this.needTest = needTest;
  }
  
  public Integer getNeedFacTest() {
    return this.needFacTest;
  }
  
  public void setNeedFacTest(Integer needFacTest) {
    this.needFacTest = needFacTest;
  }
  
  public Date getFacTestPtime() {
    return this.facTestPtime;
  }
  
  public void setFacTestPtime(Date facTestPtime) {
    this.facTestPtime = facTestPtime;
  }
  
  public Date getSiteTestPtime() {
    return this.siteTestPtime;
  }
  
  public void setSiteTestPtime(Date siteTestPtime) {
    this.siteTestPtime = siteTestPtime;
  }
  
  public void setInstanceId(String instanceId) {
    this.instanceId = instanceId;
  }
  
  public String getInstanceId() {
    return this.instanceId;
  }
  
  public void setId(String id) {
    this.id = id;
  }
  
  public String getId() {
    return this.id;
  }
  
  public void setUserId(Integer userId) {
    this.userId = userId;
  }
  
  public Integer getUserId() {
    return this.userId;
  }
  
  public void setRtuId(Integer rtuId) {
    this.rtuId = rtuId;
  }
  
  public Integer getRtuId() {
    return this.rtuId;
  }
  
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }
  
  public Date getCreateTime() {
    return this.createTime;
  }
  
  public void setRtuName(String rtuName) {
    this.rtuName = rtuName;
  }
  
  public String getRtuName() {
    return this.rtuName;
  }
  
  public void setStationId(Long stationId) {
    this.stationId = stationId;
  }
  
  public Long getStationId() {
    return this.stationId;
  }
  
  public void setFeederId(Long feederId) {
    this.feederId = feederId;
  }
  
  public Long getFeederId() {
    return this.feederId;
  }
  
  public void setInstanceStatus(String instanceStatus) {
    this.instanceStatus = instanceStatus;
  }
  
  public String getInstanceStatus() {
    return this.instanceStatus;
  }
  
  public void setFilePath(String filePath) {
    this.filePath = filePath;
  }
  
  public String getFilePath() {
    return this.filePath;
  }
}
